package setting

type CloudbrainLoginConfig struct {
	Username string
	Password string
	Host     string
}

var (
	Cloudbrain = CloudbrainLoginConfig{}
)

func GetCloudbrainConfig() CloudbrainLoginConfig {
	cloudbrainSec := Cfg.Section("cloudbrain")
	Cloudbrain.Username = cloudbrainSec.Key("USERNAME").MustString("")
	Cloudbrain.Password = cloudbrainSec.Key("PASSWORD").MustString("")
	Cloudbrain.Host = cloudbrainSec.Key("REST_SERVER_HOST").MustString("")
	return Cloudbrain
}
